Bug 28442 - Release team 21.11
Summary: Release team 21.11
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 28386
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-25 07:23 UTC by Martin Renvoize
Modified: 2021-06-09 00:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28442: Add 21.11 release team to teams.yaml (2.22 KB, patch)
2021-05-25 08:32 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Update template for new roles (1.36 KB, patch)
2021-05-25 08:32 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Add 21.11 release team to teams.yaml (2.32 KB, patch)
2021-05-25 08:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Update template for new roles (1.63 KB, patch)
2021-05-25 08:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Screenshot of outcome (205.69 KB, image/png)
2021-05-25 08:38 UTC, Martin Renvoize
Details
Bug 28442: Fix 'accessibility_advocate' for current release (3.24 KB, patch)
2021-05-25 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Add 21.11 release team to teams.yaml (2.32 KB, patch)
2021-05-25 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Update template for new roles (1.63 KB, patch)
2021-05-25 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Fix 'accessibility_advocate' for current release (3.24 KB, patch)
2021-05-25 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28442: Sort by lastname for array type roles (3.84 KB, patch)
2021-05-25 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-05-25 07:23:50 UTC
Add the next release team :)
Comment 1 Martin Renvoize 2021-05-25 08:32:14 UTC
Created attachment 121359 [details] [review]
Bug 28442: Add 21.11 release team to teams.yaml
Comment 2 Martin Renvoize 2021-05-25 08:32:17 UTC
Created attachment 121360 [details] [review]
Bug 28442: Update template for new roles
Comment 3 Martin Renvoize 2021-05-25 08:37:25 UTC
Created attachment 121362 [details] [review]
Bug 28442: Add 21.11 release team to teams.yaml

Add the 21.11 release team.

Test plan
1/ Check against https://wiki.koha-community.org/wiki/Release_Teams
Comment 4 Martin Renvoize 2021-05-25 08:37:29 UTC
Created attachment 121363 [details] [review]
Bug 28442: Update template for new roles

We have multiple accessibility advocates this cycle, so we needed to
adapt the template. I've also added the meeting facilitator as a case
but not added to the team block as a whole.. seeking opinions, perhaps
wait and see if it lasts more than a cycle before adding it fully?
Comment 5 Martin Renvoize 2021-05-25 08:38:42 UTC
Created attachment 121364 [details]
Screenshot of outcome
Comment 6 Katrin Fischer 2021-05-25 09:40:56 UTC
2 quick things from checking the screenshot:

- Sorting of entries appears random in QA team/groups with more than 2
- Missing Accessibility advocate role for 21.05
Comment 7 Martin Renvoize 2021-05-25 13:01:03 UTC
Created attachment 121375 [details] [review]
Bug 28442: Fix 'accessibility_advocate' for current release

The accessibility_advocate block was positioned incorrectly so wasn't
appearing properly for the current stable releases, only the
development/maintainter block.

This patch fixes that issue
Comment 8 Martin Renvoize 2021-05-25 13:03:11 UTC
(In reply to Katrin Fischer from comment #6)
> 2 quick things from checking the screenshot:
> 
> - Sorting of entries appears random in QA team/groups with more than 2
> - Missing Accessibility advocate role for 21.05

Good catch on the accessibility advocate role; Fixed in the follow-up.

The order of the names in each listed role is sorted by when they signed up on the Wiki.. it follows the order in the yaml file, so could be easily switched to name alpha sorted.. I'm not sure what we've done in the past.. I 'think' I generally took the wiki page as gospel.
Comment 9 Katrin Fischer 2021-05-25 14:05:23 UTC
I think it could be nice to have some default sorting, the wiki is very arbitrary, alphabetic in some way is usually deceived as "everyone is equally important".
Comment 10 Martin Renvoize 2021-05-25 14:56:35 UTC
Created attachment 121385 [details] [review]
Bug 28442: Add 21.11 release team to teams.yaml

Add the 21.11 release team.

Test plan
1/ Check against https://wiki.koha-community.org/wiki/Release_Teams
Comment 11 Martin Renvoize 2021-05-25 14:56:38 UTC
Created attachment 121386 [details] [review]
Bug 28442: Update template for new roles

We have multiple accessibility advocates this cycle, so we needed to
adapt the template. I've also added the meeting facilitator as a case
but not added to the team block as a whole.. seeking opinions, perhaps
wait and see if it lasts more than a cycle before adding it fully?
Comment 12 Martin Renvoize 2021-05-25 14:56:42 UTC
Created attachment 121387 [details] [review]
Bug 28442: Fix 'accessibility_advocate' for current release

The accessibility_advocate block was positioned incorrectly so wasn't
appearing properly for the current stable releases, only the
development/maintainter block.

This patch fixes that issue
Comment 13 Martin Renvoize 2021-05-25 14:56:46 UTC
Created attachment 121388 [details] [review]
Bug 28442: Sort by lastname for array type roles
Comment 14 Martin Renvoize 2021-05-26 10:07:50 UTC
OK.. if you want to see the results as part of testing, you'll need to temporarily set Koha.pm version to a 21.05.something value and manually update systempreferences version to match..  That'll fake the upgrade so Koha thinks it's already on a stable 21.05.x release and show you the updated about page.
Comment 15 Jonathan Druart 2021-05-27 13:10:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 16 Jonathan Druart 2021-05-28 13:31:07 UTC
This must be backported into all stables.
Comment 17 Victor Grousset/tuxayo 2021-06-09 00:44:28 UTC
ok, will try to get the chain of deps for 20.05 oldoldstable (hopefully, 19.11 oldoldoldstable will also be able to do so)

bug 28442 => bug 28386 => bug 26621 => bug 26394

^^"